Data Fortress - the encryption, decrytion, and wipe out utility

Data Fortress v2.0 the encryption, decryption, and wipeout utility

Data Fortress is a file security utility. It is designed to protect anything from private poems, computer source code, finanical data, to trade secrets. The registered version of Data Fortress uses 16 round Blowfish in the most secure mode possible, cypher block and chaining with an optional unique iv. (Note: the UNREGISTERED VERSION of Data Fortress is insecure - for secure encryption use the registered version)

Why is Data Fortress so useful?

If someone has any type of file that they need to keep confidential they should protect it with strong proven encryption. Just hoping that no one will find it, copy it, steal it, hack into it is not enough. It only takes a few seconds for unencrypted secrets to be discovered.

What exactly does Data Fortress v2.0 do?

This program has three main functions: encryption, decryption, and file wipe out.

Encryption in simple terms "scrambles" data(plaintext) with the password. Encrypted in this way the file cannot be read. The encrypted file looks like random nonsense to anyone who tries to read it.

Decryption is the opposite of encryption. Decryption takes the correct password and the data that was encrypted(cyphertext) to product the origial file.

Encryption:
plaintext -> cyphertext

Decryption
cyphertext->plaintext

File wipe out writes over you the files you wish to delete then deletes them. Data Fortress uses the milatary DOD standard to wipeout files, plus you can overwrite the specified number of times with random data. (Note: wiping out confidential files is nessary because normally when files are "deleted" by the operating system they are just marked as being "free space". This means that they could be on your disk for months or weeks before getting overwritten by other files from the operating system.

Why should someone use a STRONG PROVEN cypher?

Why should the encryptor waste his or her time? Security experts agree that ONLY studied cyphers found to be secure should be used. Blowfish is one of those secure cyphers. It was designed by security expert Bruce Schneier. This cypher has been studied for years and attacks have been found to be completely inefective at 16 rounds. This is the number of rounds Blowfish in Data Fortress uses.

Many so called "secure" cyphers can be broken is just a few seconds. There are a few programs that can break the encryption on WordPerfect's and Microsoft's documents. If someone is going to take the time to encrypt something make sure that NO ONE but the person who knows the password word may access it.

Features:

  • Encrypt/Decrypt or wipe out files, folders, or drives!
  • Encryption/Decryption or wipe out of floppies is made even easier
  • The registered version of Data Fortress uses 16 Blowfish in Cypher Block and Chaining mode(CBC)
  • Also the registered version supports Unique IV (This makes two identical files encrypted with the same key result in two totally different files)
  • Data Fortess v2.0 uses a non-reversible one way hash function that can determine if the password is correct without comprimising security. This also protects the user from accidently distroying the selected item from an incorrect password, and or improper encryption/decrytion sequence.
  • The next major update is free!
  • The user does not have to be a cryptographer to use the program. It is farly straight forward and easy to use.
  • Data Fortress uses the military DoD file wipe out standard.
  • Save encrypted lists of files, folders and drives for quick encryption/decrytion or wipe out.


Licence Agreement

License Agreement
Data Fortress v2.0 (Sep., 05, 1998) UNREGISTERED (SHAREWARE VERSION )
Author Chris Montgomery
WWWeb http://www.inet-images.com/montgomery/DataFortress/
email cypher@tsb.inet-images.com
END-USER LICENSE AGREEMENT FOR THIS SOFTWARE :
IMPORTANT-READ CAREFULLY !
----------------------------------------------------------------------------------------------------

1. Evaluation and Registration

This program is not freeware, it is shareware. You may evaluate this software by using it up to fifty times. After your evaluation period has expired you must register the software product or discontiue using the software product. Using this software product after it's evaluation period has expired is a violation of copywrite laws.

2. Distribution

You may freely distribute this software provided there is no charge for the software product, and the product is complete in its unmodified form. This includes all the documention, images, and the application, itself. I hereby license you to create an unlimited number of unmodified original copies of the shareware version to anyone you wish.

It is preferred that if you are distributing the software product that you send the author a small notice, so that you may be contacted when a new version is released. This helps the distributor maintain the latest version.

3. Responsibilities

You understand that the product is provided "as is" and that you accept any "flaws, errors or defects" the software product might have. All use of this program at your own risk.


Registration - Ordering

Registration

Registration can be achieved online though a secure server or by postal mail.

Prices:

  • Single User Licence $19.95
  • Commercial Licence $29.95

For postal shipping include $4.95

The prices are kept low enough, so *everyone* can affort them, unlike some other encryption programs that cost many times more than Data Fortress.

Online ordering:

Orders placed online will usally be completed within 24 hours, however expect them to be completed within three days.

To order Data Fortress online though a secure server connect to www.inet-images.com/montgomery/ .

Ordering by Mail

To order by mail write to Montgomery Encryption Products, Chris Montgomery, RD4 Box 212, Wellsboro, Pa 16901.


Troubleshooting

If an error dialog like this one pops up an error has occurred. To see what went wrong choose a filename, click create(this creates a error log at the specified location), then click view log.

  • Cannot open file - For some reason the file was not accessible. Another program probably already has the file open
  • Password incorrect - the password was typed wrong
  • The file was never encrypted - the file cannot be decrypted until it has been encrypted

If you have any comments or questions feel free to e-mail me at cypher@tsb.inet-images.com.


Using Data Fortress

Using Data Fortress v2.0

Data Fortress v2.0 screen shot

How to use Data Fortress's Main Dialog

  • Encrypt - This button encrypts all the file(s) and folder(s) in the list (Locks)
  • wipe out - This button overwrites all the selected file(s) and folder(s) with the DOD overwrite standard. ( you can also select how many times you wish to overwrite [ chosen overwrites - 1 + DOD] )
  • File - select the file you want to encrypt, decrypt, or wipe out
  • Folder - select the folder you wish to wipe out (Note: you can choose to process sub folders by highlighting a folder in the list box and checking process subfolders'
  • Analyze - This provides the user with information about the selected file. (Note: if character percentages are near the same it is probably already encrypted or compressed)
  • Decrypt - This button decrypts all the file(s) and folder(s) in the list (Unlocks)
  • Subtraction sign (-) - This removes the selected file or folder from the list
  • Options - Choose the way you wish Data Fortress to operate(explained more below)
  • Recurse - Highlight a folder to enable this - if checked all sub folders are processed

Using the program menu

Menu 'File' - This is probably self explanatory but here it is

  • New - This clears the list so you can start making a new one
  • Open List - This clears the current list and loads a previously created list ( requires a password )
  • Add to List - This loads a list and adds it to the current list ( requires a password)
  • Save List - This saves the current list with the previously defined filename(if any) ( requires a password )
  • Save List As - This allows the user to choose a file name to save the current list in
  • Exit - closes the application (obviously)

Menu 'Options' - The Options property sheet will be discussed in more detail below

  • Cypher - opens the options property sheet with the cypher page first
  • Wipe out - opens the options property sheet with the wipe out page first
  • Misc - opens the options property sheet with the misc page first
  • Create Password - opens the property sheet with the password creation page open first

Menu 'Tools'

  • Analyze File - analyzes the selected file
  • Encrypt Drive A,B - This is a shortcut to encrypt entire floppies
  • Decrypt Drive A,B - This is a shortcut to decrypt entire floppies
  • Wipe out Drive A,B - is a shortcut to wipe out entire floppies

Menu 'Help'

  • Using Data Fortress - This help file
  • Data Fortress Online Faq - check out frequently asked questions
  • About - Tells a little about the program.

Options

Cypher Options

  • Cypher Choice - Choose which encryption cypher you wish to use (Note: Blowfish is very strong and Weak Trial Version Cypher is easily crackable ) Unregistered users may only use the weak trial version cypher
  • Unique IV - This is even more secure! If two completely identical files are encrypted with the same password both files will encrypt to something completely different

Overwrite Options

  • Number of times to overwrite - choose the number of times you wish to overwrite -1 in addition to the DOD standard.· Confirm Wipe out - this ask you if you are sure you want to wipe out the current list

Password Creation

  • Alphanumeric - if this is checked the created password might contain numbers
  • Random Capitalization - if checked the created password might contain capital letters

Misc.

  • Save settings on exit - check this if you want Data Fortress to remember the options that were chosen last time the program was run

Check out Data Fortress's web site to register, read the online faq, or to download the latest version. Visit http://www.inet-images.com/montgomery/DataFortress/ or email me at cypher@tsb.inet-images.com.